Skip to main content
GET
/
folder
/
v1
/
files
/
{folderId}
/
children
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/folder/v1/files/{folderId}/children \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "editable": true,
      "editableDocuments": true,
      "fileId": "<string>",
      "folderAodocsId": "<string>",
      "folderDefinitionId": "<string>",
      "folderIsRoot": true,
      "kind": "<string>",
      "libraryId": "<string>",
      "libraryName": "<string>",
      "name": "<string>",
      "parentFolderAodocsId": "<string>",
      "parentFolderDriveId": "<string>",
      "parentFolderIsRoot": true,
      "permittedOperations": [
        "DELETE"
      ],
      "resourceKey": "<string>",
      "restrictedDownload": true,
      "subfolders": "<array>"
    }
  ],
  "kind": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

folderId
string
required

Query Parameters

onlyDirectChildren
boolean
default:false
nameFilter
string
securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiFolderList response

items
object[]
kind
string